
pub const Instruction = union(enum) {
    CLS: void,  // 0x00E0
    RET: void,  // 0x00EE
    JP: u12,    // 0x1nnn 
    CALL: u12,  // 0x2nnn
    SE_3: struct { x: u4, kk: u8 }, // 0x3xkk
    LD_6: struct {x: u4, kk: u8}, // 0x6xkk
    LD_I: u12,   // 0xAnnn
    DRW: struct { x: u4, y: u4, n: u4 }, // 0xDxyn
    ADD_7: struct { x: u4, kk: u8 } // 0x7xkk
};